curl -X GET https://api.whatabot.app/api/v1/sessions/logs/{sessionId}/events \
-H "X-Api-Key: wh_your_api_key"
[
{
"id": "evt-uuid-001",
"nodeId": "node-uuid-123",
"nodeType": "APIRequest",
"severity": "error",
"error": "Request timeout after 10000ms",
"breadcrumb": ["start", "message-1", "api-request-1"],
"context": null,
"occurredAt": "2025-01-15T10:31:05.000Z"
}
]
Sessions
Get Session Events
Get error logs and events for a specific session.
GET
/
v1
/
sessions
/
logs
/
{sessionId}
/
events
curl -X GET https://api.whatabot.app/api/v1/sessions/logs/{sessionId}/events \
-H "X-Api-Key: wh_your_api_key"
[
{
"id": "evt-uuid-001",
"nodeId": "node-uuid-123",
"nodeType": "APIRequest",
"severity": "error",
"error": "Request timeout after 10000ms",
"breadcrumb": ["start", "message-1", "api-request-1"],
"context": null,
"occurredAt": "2025-01-15T10:31:05.000Z"
}
]
Retrieve the error logs and events that occurred during a session execution. Useful for debugging flow issues.
string
required
Your API key (prefixed with
wh_).string
required
The UUID of the session log.
curl -X GET https://api.whatabot.app/api/v1/sessions/logs/{sessionId}/events \
-H "X-Api-Key: wh_your_api_key"
[
{
"id": "evt-uuid-001",
"nodeId": "node-uuid-123",
"nodeType": "APIRequest",
"severity": "error",
"error": "Request timeout after 10000ms",
"breadcrumb": ["start", "message-1", "api-request-1"],
"context": null,
"occurredAt": "2025-01-15T10:31:05.000Z"
}
]